Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3667 - netfs restart crashes amd
Summary: netfs restart crashes amd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: am-utils
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-23 14:11 UTC by Luca Bonomi
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-08-09 02:50:16 UTC


Attachments (Terms of Use)

Description Luca Bonomi 1999-06-23 14:11:46 UTC
We are using nfs mounted filesystems with the amd.
If netfs daemon is restarted, the automounted filesystems
are not reachable anymore.

While stopping netfs, you get the message that it cannot
unmount the am-fs because are busy.

Trying to restart the amd do not help in any way. The only
solution is to log out, enter a console as root, unmount
(with 'umount' command) the am-fs, and restart the amd.

It would be nicer if netfs could handle these situations.
:-)

Comment 1 Cristian Gafton 1999-07-28 07:23:59 UTC
assigned to jbj

Comment 2 Bill Nottingham 1999-08-31 16:41:59 UTC
the netfs isn't a daemon ; it's simply something that mounts/unmounts
network filesystems.  It shouldn't need 'restarted' per se. Why
are you doing a 'netfs restart'?

Comment 3 Anonymous 1999-09-06 13:14:59 UTC
I discovered the bug by chance, while trying out things...
Running a 'netfs restart' or 'netfs stop' while someone is accessing
the am directories causes the amd to crash. I have seen it several
times, and every time I had to log out to restore it.

It's not a serious bug, because as you wrote there should be no need
to issue 'netfs restart'. But anyway, I still believe it's a bug! At
least, there should be no possibility to run 'netfs stop' if it's not
needed!

It might be that the bug is in amd. Namely, when you try to unmount an
am directory which is accessed, then the amd crashes.

Comment 4 Cristian Gafton 2000-08-09 02:45:25 UTC
assigned to nalin

Comment 5 Brent Fox 2002-06-05 15:46:17 UTC
Closing due to old age.  Please reopen if you see the behavior in the latest
release.


Note You need to log in before you can comment on or make changes to this bug.